package com.tappli.android.bitmapsample;

import android.content.Context;
import android.view.View;
import android.view.ViewGroup;
import android.widget.ArrayAdapter;
import android.widget.ImageView;
import android.widget.LinearLayout;
import android.widget.TextView;

public class TextAndDrawableListAdapter extends ArrayAdapter<TextAndDrawable> {

	public TextAndDrawableListAdapter(Context context) {
		super(context, R.layout.list_item, R.id.item_text);
	}

	@Override
	public View getView(int position, View convertView, ViewGroup parent) {
		// Viewを取得
		View view = super.getView(position, convertView, parent);
		// データを取得
		TextAndDrawable data = getItem(position);
		
		if (view instanceof LinearLayout && data != null) {
			LinearLayout ll = (LinearLayout) view;
			
			// 文字をセット
			TextView textView = (TextView) ll.findViewById(R.id.item_text);
			if (textView != null) {
				textView.setText(data.getText());
			}
			// 画像をセット
			ImageView imageView = (ImageView) ll.findViewById(R.id.item_image);
			if (imageView != null) {
				imageView.setImageDrawable(data.getImage());
			}
		}
		
		return view;
	}
}
